<?php
namespace DatabaseHelper\enums;

enum Join
{
    case INNER;
    case LEFT;
    case RIGHT;
    case FULL;

    public function toString(): string {
        return match ($this) {
            self::INNER => 'INNER JOIN',
            self::LEFT  => 'LEFT JOIN',
            self::RIGHT => 'RIGHT JOIN',
            self::FULL  => 'FULL JOIN',
        };
    }
}

